Subject: [AVT] rtcpssm and RTP MIDI ...

From: John Lazzaro <[email-masked]>
Date: Wed, 4 Jun 2003 17:32:04 -0700

Hi everyone,

	I've been looking over draft-ietf-avt-rtcpssm-03.txt, with
respect to RTP MIDI issues ... good news to report.

	The defined summary information report blocks are sufficient
for RTP MIDI receivers -- additional summary information report blocks
for the "extended highest sequence number received" RR field are not
necessary.

	However, the RTP _sender_ does need to see the raw unicast
RTCP feedback stream.  The summarized view of the feedback in the RSI
XR packets is not sufficient for a sender to manage the recovery
journal system.

	The only reason I could see for adding new summary information
report blocks would be to support a distributed architecture, where
one process generates RSI XR packets from the unicast feedback stream,
a second process generates RTP packets, and the second process does
not have access to the raw unicast RTCP feedback stream (only the
summaries).

	Was this sort of architecture viewed as a common usage
scenario?

-------------------------------------------------------------------------
John Lazzaro -- Research Specialist -- CS Division -- EECS -- UC Berkeley
lazzaro [at] cs [dot] berkeley [dot] edu     www.cs.berkeley.edu/~lazzaro
-------------------------------------------------------------------------
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt